AutoCAD 2000/2000i/2002 Archive (Read Only)
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Hatches And Snapbase

3 REPLIES 3
Reply
Message 1 of 4
Anonymous
208 Views, 3 Replies

Hatches And Snapbase

You can control where a hatch pattern starts with snapbase. Is there any
way to quickly edit the hatch patterns "starting point" after creating the
hatch. Sort of a stretch the base point or drag the definition point?
3 REPLIES 3
Message 2 of 4
Anonymous
in reply to: Anonymous



Using HATCH and BASE as keywords to search the Customization discussion
group I came up with this which was posted...

From: "Gary Lafrenière"

Subject: Re: Hatch Basepoint selection-Changing it

Date: Mon, 10 Dec 2001 21:46:24 -0700

Here is a lisp from the Cadalyst website (Oct 1999), that adjusts the
origin

of a hatch pattern after it has

been created.

;Tip1560:    ADJUST.LSP    Adjust Hatch   
(c)1999, Ali Khalfan

(defun c:adjust (/)

(setvar "cmdecho" 0)

(setq OBJ (entsel "\nSelect Hatch pattern to edit:"))

(setq PT1 (getpoint "\nSelect new starting point of hatch pattern:"))

(setq XCORD (car PT1))

(setq YCORD (cadr PT1))

(setq SP1 (list XCORD YCORD))

(setvar "snapbase" SP1)

(command "-hatchedit" OBJ "p" "" "" "")

(command "snapbase" "0,0")

(princ)

)

;;; end adjust.lsp

 

**************************************************************

Please, DO NOT send technical requests to me via private e-mail

**************************************************************

Tracy W. Lincoln

Assistant Moderator - Autodesk Discussion Forums

Discussion Group Links:

-----------------------

Index: http://discussion.autodesk.com

Rules: http://discussion.autodesk.com/webx?groundrules

 

Message 3 of 4
Anonymous
in reply to: Anonymous

If I understand your question correctly - what I do is make a temporary copy of the hatch just off to the side somewhere, reestablish the new snapbase point that you want, then pick "Match Properties". When it asks "Select source object:" select the hatch COPY, then when it asks "Select destination object(s):" select the hatch that you want to change. The hatch should update with the new snapbase point.
Message 4 of 4
Anonymous
in reply to: Anonymous

After changing the snapbase: Type the command hatchedit. Do not change anything about the hatch, simply hit ok, and the hatch automatically updates to the new snapbase.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report